<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{49452FC2-05CE-4077-8B40-8ADF5ECA212E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>C4IT_DataHistoryProvider_Base</RootNamespace>
    <AssemblyName>F4SD-Cockpit-Server</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;VITALSIGN_MONITORING</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>C4IT_2016.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Demo|AnyCPU'">
    <OutputPath>bin\Release-Demo\</OutputPath>
    <DefineConstants>TRACE;DEMOLICENSE</DefineConstants>
    <Optimize>true</Optimize>
    <NoWarn>MSB3305</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug-Demo|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug-Demo\</OutputPath>
    <DefineConstants>TRACE;DEBUG;DEMOLICENSE</DefineConstants>
    <NoWarn>MSB3305</NoWarn>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <LangVersion>7.3</LangVersion>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="C4IT.F4SD.DisplayFormatting, Version=1.0.9509.21303, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\C4IT.F4SD.DisplayFormatting.1.0.0\lib\netstandard2.0\C4IT.F4SD.DisplayFormatting.dll</HintPath>
    </Reference>
    <Reference Include="C4IT.F4SD.SupportCaseProtocoll, Version=1.0.9516.21165, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\C4IT.F4SD.SupportCaseProtocoll.1.0.0\lib\netstandard2.0\C4IT.F4SD.SupportCaseProtocoll.dll</HintPath>
    </Reference>
    <Reference Include="MaterialIcons, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>..\packages\MaterialIcons.1.0.3\lib\MaterialIcons.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Bcl.AsyncInterfaces, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Bcl.AsyncInterfaces.10.0.2\lib\net462\Microsoft.Bcl.AsyncInterfaces.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Bcl.TimeProvider, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Bcl.TimeProvider.10.0.2\lib\net462\Microsoft.Bcl.TimeProvider.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Extensions.DependencyInjection.Abstractions, Version=10.0.0.2, Culture=neutral, PublicKeyToken=adb9793829ddae60, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Extensions.DependencyInjection.Abstractions.10.0.2\lib\net462\Microsoft.Extensions.DependencyInjection.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Extensions.Logging.Abstractions, Version=10.0.0.2, Culture=neutral, PublicKeyToken=adb9793829ddae60, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.Extensions.Logging.Abstractions.10.0.2\lib\net462\Microsoft.Extensions.Logging.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IdentityModel.Abstractions, Version=8.15.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.IdentityModel.Abstractions.8.15.0\lib\net472\Microsoft.IdentityModel.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IdentityModel.JsonWebTokens, Version=8.15.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.IdentityModel.JsonWebTokens.8.15.0\lib\net472\Microsoft.IdentityModel.JsonWebTokens.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IdentityModel.Logging, Version=8.15.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.IdentityModel.Logging.8.15.0\lib\net472\Microsoft.IdentityModel.Logging.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IdentityModel.Tokens, Version=8.15.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\Microsoft.IdentityModel.Tokens.8.15.0\lib\net472\Microsoft.IdentityModel.Tokens.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Web.Administration, Version=7.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>.\Microsoft.Web.Administration.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=13.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.13.0.4\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Buffers, Version=4.0.5.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Buffers.4.6.1\lib\net462\System.Buffers.dll</HintPath>
    </Reference>
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Diagnostics.DiagnosticSource, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Diagnostics.DiagnosticSource.10.0.2\lib\net462\System.Diagnostics.DiagnosticSource.dll</HintPath>
    </Reference>
    <Reference Include="System.DirectoryServices" />
    <Reference Include="System.DirectoryServices.AccountManagement" />
    <Reference Include="System.DirectoryServices.Protocols" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.IdentityModel.Tokens.Jwt, Version=8.15.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IdentityModel.Tokens.Jwt.8.15.0\lib\net472\System.IdentityModel.Tokens.Jwt.dll</HintPath>
    </Reference>
    <Reference Include="System.IO.Pipelines, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IO.Pipelines.10.0.2\lib\net462\System.IO.Pipelines.dll</HintPath>
    </Reference>
    <Reference Include="System.Memory, Version=4.0.5.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Memory.4.6.3\lib\net462\System.Memory.dll</HintPath>
    </Reference>
    <Reference Include="System.Numerics" />
    <Reference Include="System.Numerics.Vectors, Version=4.1.6.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Numerics.Vectors.4.6.1\lib\net462\System.Numerics.Vectors.dll</HintPath>
    </Reference>
    <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=6.0.3.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Runtime.CompilerServices.Unsafe.6.1.2\lib\net462\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
    </Reference>
    <Reference Include="System.Text.Encodings.Web, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Text.Encodings.Web.10.0.2\lib\net462\System.Text.Encodings.Web.dll</HintPath>
    </Reference>
    <Reference Include="System.Text.Json, Version=10.0.0.2, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Text.Json.10.0.2\lib\net462\System.Text.Json.dll</HintPath>
    </Reference>
    <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.4.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\packages\System.Threading.Tasks.Extensions.4.6.3\lib\net462\System.Threading.Tasks.Extensions.dll</HintPath>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.Base.Ticket.cs">
      <Link>Common\C4IT.F4SD.Base.Ticket.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.GlobalConfig.cs">
      <Link>Common\C4IT.F4SD.GlobalConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.HealthCardConfig.cs">
      <Link>Common\C4IT.F4SD.HealthCardConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.MenuItem.cs">
      <Link>Common\C4IT.F4SD.MenuItem.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Base.cs">
      <Link>Common\C4IT.FASD.Base.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Communication.Agent.cs">
      <Link>Common\C4IT.FASD.Communication.Agent.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.ConfigBase.cs">
      <Link>Common\C4IT.FASD.ConfigBase.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.CopyTemplatesConfig.cs">
      <Link>Common\C4IT.FASD.CopyTemplatesConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.IconConfig.cs">
      <Link>Common\C4IT.FASD.IconConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.MenuSectionConfig.cs">
      <Link>Common\C4IT.FASD.MenuSectionConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.QuickActionConfig.cs">
      <Link>Common\C4IT.FASD.QuickActionConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Security.cs">
      <Link>Common\C4IT.FASD.Security.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Configuration\C4IT.Configuration.ConfigHelper.cs">
      <Link>Common\C4IT.Configuration.ConfigHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\FileImport\C4IT.FileImport.CsvFile.cs">
      <Link>Common\C4IT.FileImport.CsvFile.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Http\C4IT.HTTP.HttpApiBase.cs">
      <Link>Common\C4IT.HTTP.HttpApiBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Http\C4IT.HttpHelper.cs">
      <Link>Common\C4IT.HttpHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Licensing\C4IT.Licensing.LicenseBase.cs">
      <Link>Common\C4IT.Licensing.LicenseBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogManager.cs">
      <Link>Common\C4IT.Logging.LogManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogNetwork.cs">
      <Link>Common\C4IT.Logging.LogNetwork.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogPerformance.cs">
      <Link>Common\C4IT.Logging.LogPerformance.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\MsCloud\C4IT.MsGraph.Base.cs">
      <Link>Common\C4IT.MsGraph.Base.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\MultiLanguage\C4IT.MultiLanguage.MultiLanguageSupport.cs">
      <Link>Common\C4IT.MultiLanguage.MultiLanguageSupport.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.Base32.cs">
      <Link>Common\C4IT.Security.Base32.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.Credential.cs">
      <Link>Common\C4IT.Security.Credential.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.SecurePassword.cs">
      <Link>Common\C4IT.Security.SecurePassword.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\XML\C4IT.XML.ConfigParsing.cs">
      <Link>Common\C4IT.XML.ConfigParsing.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\XML\C4IT.XML.Credentials.cs">
      <Link>Common\C4IT.XML.Credentials.cs</Link>
    </Compile>
    <Compile Include="..\..\Matrix42\M42CommonCode\M42WebClient\C4IT.Matrix42.WebClient.cs">
      <Link>Common\C4IT.Matrix42.WebClient.cs</Link>
    </Compile>
    <Compile Include="..\..\NexThink\NxCommonCode\NXQL\C4IT.Nexthink.NXQL.cs">
      <Link>Common\C4IT.Nexthink.NXQL.cs</Link>
    </Compile>
    <Compile Include="..\..\NexThink\NxCommonCode\NXQL\C4IT.Nexthink.NxqlOrchestration.cs">
      <Link>Common\C4IT.Nexthink.NxqlOrchestration.cs</Link>
    </Compile>
    <Compile Include="..\CommonAssemblyAttributes.cs">
      <Link>Common\CommonAssemblyAttributes.cs</Link>
    </Compile>
    <Compile Include="..\CommonAssemblyInfo.cs">
      <Link>Properties\CommonAssemblyInfo.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Common\C4IT.FASD.Communication.Citrix.cs">
      <Link>Common\C4IT.FASD.Communication.Citrix.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\ConfigCache.cs">
      <Link>ConfigCache.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollector.cs">
      <Link>DataHistoryCollector.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorActiveDirectory.cs">
      <Link>DataHistoryCollectorActiveDirectory.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorClientAgent.cs">
      <Link>DataHistoryCollectorClientAgent.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorM42Wpm.cs">
      <Link>DataHistoryCollectorM42Wpm.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorNxql.cs">
      <Link>DataHistoryCollectorNxql.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorSearchTaskCache.cs">
      <Link>DataHistoryCollectorSearchTaskCache.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryCollectorTokenCache.cs">
      <Link>DataHistoryCollectorTokenCache.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigActiveDirectory.cs">
      <Link>DataHistoryConfigActiveDirectory.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigClientAgent.cs">
      <Link>DataHistoryConfigClientAgent.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigClusters.cs">
      <Link>DataHistoryConfigClusters.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigDbConnection.cs">
      <Link>DataHistoryConfigDbConnection.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigGolabalParameters.cs">
      <Link>DataHistoryConfigGolabalParameters.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigInfrastructure.cs">
      <Link>DataHistoryConfigInfrastructure.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigM42Wpm.cs">
      <Link>DataHistoryConfigM42Wpm.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistoryConfigNexthink.cs">
      <Link>DataHistoryConfigNexthink.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataHistorySqlHelper.cs">
      <Link>DataHistorySqlHelper.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataSources\IRemoteDesktopManager.cs">
      <Link>DataSources\IRemoteDesktopManager.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataSources\ISearchResultRelationProvider.cs">
      <Link>DataSources\ISearchResultRelationProvider.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\DataSources\ITicketActivityProvider.cs">
      <Link>DataSources\ITicketActivityProvider.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\F4SDConfigGlobalParametersXml.cs">
      <Link>F4SDConfigGlobalParametersXml.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\F4SD_License.cs">
      <Link>F4SD_License.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\IisConfigHelper.cs">
      <Link>IisConfigHelper.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Agent\AgentApiHandler.cs">
      <Link>Modules\Agent\AgentApiHandler.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Agent\AgentRemoteClientInfo.cs">
      <Link>Modules\Agent\AgentRemoteClientInfo.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Agent\AgentRemoteConnectionInfo.cs">
      <Link>Modules\Agent\AgentRemoteConnectionInfo.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Agent\AgentRemoteDesktopManager.cs">
      <Link>Modules\Agent\AgentRemoteDesktopManager.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Agent\DTOs\AgentLogonResultDto.cs">
      <Link>Modules\Agent\DTOs\AgentLogonResultDto.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Citrix\DataHistoryCollectorCitrix.cs">
      <Link>Modules\Citrix\DataHistoryCollectorCitrix.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Modules\Citrix\DataHistoryConfigCitrix.cs">
      <Link>Modules\Citrix\DataHistoryConfigCitrix.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Services\IStagedRelationService.cs">
      <Link>Services\IStagedRelationService.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\Services\StagedRelationService.cs">
      <Link>Services\StagedRelationService.cs</Link>
    </Compile>
    <Compile Include="..\F4SD-Cockpit-ServerCore\SuccessorCache.cs">
      <Link>SuccessorCache.cs</Link>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="C4IT_2016.ico" />
    <Content Include="Microsoft.Web.Administration.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <COMReference Include="ActiveDs">
      <Guid>{97D25DB0-0363-11CF-ABC4-02608C9E7553}</Guid>
      <VersionMajor>1</VersionMajor>
      <VersionMinor>0</VersionMinor>
      <Lcid>0</Lcid>
      <WrapperTool>tlbimp</WrapperTool>
      <Isolated>False</Isolated>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </COMReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="AfterBuild">
    <Message Text="Start to publish component" Importance="high" />
    <RemoveDir Directories="$(ProjectDir)Publish" ContinueOnError="true" />
    <Exec Command="md &quot;$(ProjectDir)Publish&quot;" ContinueOnError="true" WorkingDirectory="." />
    <Exec Command="xcopy.exe /Y &quot;$(ProjectDir)$(OutputPath)$(AssemblyName).dll&quot; &quot;$(ProjectDir)Publish&quot;" ContinueOnError="false" WorkingDirectory="." />
  </Target>
  <Import Project="..\packages\System.ValueTuple.4.6.1\build\net471\System.ValueTuple.targets" Condition="Exists('..\packages\System.ValueTuple.4.6.1\build\net471\System.ValueTuple.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\System.ValueTuple.4.6.1\build\net471\System.ValueTuple.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\System.ValueTuple.4.6.1\build\net471\System.ValueTuple.targets'))" />
  </Target>
</Project>
